#include <sys/time.h>
#include <stdio.h>

int user(void);

#define JOIN 	1
#define DATAREQ	4
#define DATAIND	3
#define LEAVE	2
#define USERTITLELENGTH	10
#define CONFIDLENGTH	10
#define DATALENGTH		255

struct cdu_Type
{
 char type;
 char data[DATALENGTH+11];
};

struct join_cdu_Type
{
 char type;
 char usertitle[USERTITLELENGTH];
 char confid[CONFIDLENGTH];
};

struct datareq_cdu_Type
{
 char type;
 char length;
 char data[DATALENGTH];
};

struct dataind_cdu_Type
{
 char type;
 char usertitle[USERTITLELENGTH];
 char length;
 char data[DATALENGTH];
};

struct leave_cdu_Type
{
 char type;
};

#define Main 1
#define User 2
#define Cfpe 4
#define Cf_pe 8
#define Cf_rt 16
#define Cf_st 32
#define Mc_rt 64
#define Mc_st 128
#define Init 256
#define Details 512
#define Dbg 1024
#define Mutant 2048

void Debug( int level, char *fmt, ... );
void Error( int level, char *fmt, ... );
void Warning( int level, char *fmt, ... );
void Msg(int level, char *fmt, ... );
void Info(int level, char *fmt, ... );

